Ruby: Data Fields

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - h -

- h : BigStruct, cls_struct_64byte, dsa_blocking_gen_arg, Size, struct_108byte, struct_116byte, struct_72byte
- handle : rb_mjit_unit
- has_block : rb_iseq_constant_body
- has_hook : rb_objspace
- has_kw : rb_iseq_constant_body
- has_kwrest : rb_iseq_constant_body
- has_lead : rb_iseq_constant_body
- has_opt : rb_iseq_constant_body
- has_post : rb_iseq_constant_body
- has_remembered_objects : heap_page
- has_rest : rb_iseq_constant_body
- has_shebang : parser_params
- has_uncollectible_shady_objects : heap_page
- hash : cdhash_set_label_struct, equal_data, hash_foreach_arg, hash_salt_t, rehash_arg, reset_hash_type_arg, RVALUE, st_hash_type, st_table_entry, update_arg, update_callback_arg, update_func_arg
- hash_bits : internal_state
- hash_mask : internal_state
- hash_shift : internal_state
- hash_size : internal_state
- hashval : RSymbol
- have : deflate_index, gzFile_s, inflate_state
- havedict : inflate_state
- hbase2 : big2str_struct
- hbase2_numdigits : big2str_struct
- hblkhd : mallinfo
- hblks : mallinfo
- hcrc : gz_header_s
- head : inflate_state, internal_state, malloc_chunk, malloc_tree_chunk, node_buffer_list_t, rb_mjit_unit_list
- head_exact : QtfrNode
- header : heap_page_body, ibf_load, tar_buffer
- heap : internal_state, parser_params, RArray, RBignum, RObject, RString, RStruct
- heap_free_slots : ruby_gc_params_t
- heap_free_slots_goal_ratio : ruby_gc_params_t
- heap_free_slots_max_ratio : ruby_gc_params_t
- heap_free_slots_min_ratio : ruby_gc_params_t
- heap_init_slots : ruby_gc_params_t
- heap_len : internal_state
- heap_max : internal_state
- heap_pages : rb_objspace
- heap_total_objects : gc_profile_record
- heap_total_size : gc_profile_record
- heap_use_size : gc_profile_record
- heap_used_at_gc_start : rb_objspace
- heredoc : rb_strterm_struct
- heredoc_end : parser_params
- heredoc_indent : parser_params
- heredoc_line_indent : parser_params
- hf : WIN32FILE_IOWIN
- hh : BigStruct
- high_water : internal_state
- hints : getaddrinfo_arg
- hold : inflate_state
- hook_events : rb_objspace
- hook_flags : rb_event_hook_struct
- hooks : rb_hook_list_struct, rb_method_bmethod_struct, rb_ractor_pub
- host : getnameinfo_arg, hostent_arg, inetsock_arg
- hostlen : getnameinfo_arg
- hour : tmx_funcs
- how : gz_state